package beans;

import java.sql.SQLException;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

import javax.faces.event.ActionEvent;
import javax.faces.model.SelectItem;

import com.sun.istack.internal.NotNull;

import objects.Customer;
import objects.Event;
import objects.Interface;
import objects.User;
import controller.DBHandler;

public class OverviewBean {

	public OverviewBean() {

	}

	SelectItem[] interfaceArray = null;
	ArrayList<Event> EventList;
	ArrayList<Customer> customerList;
	
	public ArrayList<Customer> getCustomerList() {
		return customerList;
	}

	public void setCustomerList(ArrayList<Customer> customerList) {
		this.customerList = customerList;
	}

	User ispManagerUser;

	public void printList(List list) {
		

		for (int i = 0; !list.isEmpty(); i++) {
		
			System.out.println("OVB: " + list.get(i));
			
		}
		
	}
	
	public User getIspManagerUser() {
		return ispManagerUser;
	}

	public void setIspManagerUser(User ispManagerUser) {
		this.ispManagerUser = ispManagerUser;
	}

//	public ArrayList<Customer> getCustomerList() {
////		if (this.customerList == null) {
////			return createCustomerList();
////		} else
////			return customerList;
//		return customerList;
//
//	}
//
//	public void setCustomerList(ArrayList<Customer> customerList) {
//		System.out.println("OVB: setCustomerList");
//		printList(customerList);
//		customerList = customerList;
//	}

	int numberOfUserToCreate = 0;
	int numberOfInterfacesToCreate = 0;

	public int getNumberOfInterfacesToCreate() {
		return numberOfInterfacesToCreate;
	}

	public void setNumberOfInterfacesToCreate(int numberOfInterfacesToCreate) {
		this.numberOfInterfacesToCreate = numberOfInterfacesToCreate;
	}

	public int getNumberOfUserToCreate() {
		System.out.println("OVB: getnumberofusertocreate "
				+ numberOfUserToCreate);
		return numberOfUserToCreate;
	}

	public void setNumberOfUserToCreate(int numberOfUserToCreate) {
		this.numberOfUserToCreate = numberOfUserToCreate;
		createCustomerList();
		System.out.println("OVB: setnumberofusertocreate "
				+ numberOfUserToCreate);
	}

	public ArrayList<Event> getEventList() throws SQLException {
		return createEventList();
	}

	public void setEventList(ArrayList<Event> Eventlist) throws SQLException {
		createEventList();
		this.EventList = Eventlist;
	}

	public SelectItem[] getinterfaceArray() throws SQLException {
		createInterfaceList();

		return this.interfaceArray;
	}

	public void setinterfaceArray(SelectItem[] interfaceList) {
		this.interfaceArray = interfaceList;
	}

	/**
	 * 
	 * @return List of Events for the Report-Tab
	 * @throws SQLException
	 * @author prakti
	 */
	private ArrayList<Event> createEventList() throws SQLException {

		DBHandler handler = new DBHandler();

		return handler.showEvents(new Date(), new Date());

	}

	/**
	 * @return <SeclectItem[]> with all nas aviable in db
	 * @throws SQLException
	 * 
	 */
	private void createInterfaceList() throws SQLException {

		DBHandler handler = new DBHandler();

		LinkedList<Interface> interfaceListe = new LinkedList<Interface>();
		interfaceListe = handler.showInterfaces();

		interfaceArray = new SelectItem[interfaceListe.size()];

		for (int i = 0; !interfaceListe.isEmpty(); i++) {

			interfaceArray[i] = new SelectItem(interfaceListe.getFirst()
					.getDns()
					+ " (" + interfaceListe.getFirst().getStreet() + ")");
			System.out.println(interfaceArray[i]);
			interfaceListe.removeFirst();
		}
	}

	/**
	 * 
	 * @return Arraylist of customers aviable in db
	 * 
	 */
//	public ArrayList<Customer> createCustomerList() {
	public void createCustomerList() {

		ArrayList<Customer> customerCreationList = new ArrayList<Customer>();

		for (int i = 0; i < numberOfUserToCreate; i++) {

			Customer customerListItem = new Customer();

			customerListItem.setInt_id(761);
			customerListItem.setLast_change_by(1);
			customerListItem.setLname("Nachname");
			customerListItem.setFname("Vorname");
			customerListItem.setComment("Notiz");
			customerListItem.setCpe_mac_1("192.168.0.10");

			customerCreationList.add(customerListItem);

		}
		customerList = customerCreationList;
//		return customerCreationList; //TODO: Das muss hier noch ordentlicher werden...
	}
	// public Customer[] createCustomerList() {
	// Customer[] createCustomerArray = new Customer[numberOfUserToCreate];
	//
	// Customer customerArrayItem = new Customer();
	// customerArrayItem.setInt_id(761);
	// customerArrayItem.setLast_change_by(1);
	// customerArrayItem.setLname("Meier");
	// customerArrayItem.setFname("Volker");
	// customerArrayItem.setComment("Test123");
	// customerArrayItem.setCpe_mac_1("192.168.0.10");
	//
	// createCustomerArray[0] = customerArrayItem;
	//
	// Customer customerArrayItem2 = new Customer();
	// customerArrayItem.setInt_id(761);
	// customerArrayItem.setLast_change_by(1);
	// customerArrayItem.setLname("Froehlich");
	// customerArrayItem.setFname("Marc");
	// customerArrayItem.setComment("Test234");
	// customerArrayItem.setCpe_mac_1("192.168.0.11");
	//
	// createCustomerArray[1] = customerArrayItem2;
	//
	// return createCustomerArray;
	// }

}