package objects;

import java.sql.Date;

/**
 * Object for events with all necessary fields
 * 
 * int id, int code, String nas_ip, String nas_name,
 * String affected_ip, String affected_mac, String affected_interface,
 * String affected_location) {
 * 
 * @author prakti
 * 
 */
public class Event {

	public Event() {

	}

	public Event(int id, int code, String nas_ip, String nas_name,
			String affected_ip, String affected_mac, String affected_interface,
			String affected_location) {

	}

	int id, code;
	Date DateTime;
	String nas_ip, nas_name, affected_ip, affected_mac, affected_interface,
			affected_location;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public Date getDateTime() {
		return DateTime;
	}

	public void setDateTime(Date dateTime) {
		DateTime = dateTime;
	}

	public String getNas_ip() {
		return nas_ip;
	}

	public void setNas_ip(String nasIp) {
		nas_ip = nasIp;
	}

	public String getNas_name() {
		return nas_name;
	}

	public void setNas_name(String nasName) {
		nas_name = nasName;
	}

	public String getAffected_ip() {
		return affected_ip;
	}

	public void setAffected_ip(String affectedIp) {
		affected_ip = affectedIp;
	}

	public String getAffected_mac() {
		return affected_mac;
	}

	public void setAffected_mac(String affectedMac) {
		affected_mac = affectedMac;
	}

	public String getAffected_interface() {
		return affected_interface;
	}

	public void setAffected_interface(String affectedInterface) {
		affected_interface = affectedInterface;
	}

	public String getAffected_location() {
		return affected_location;
	}

	public void setAffected_location(String affectedLocation) {
		affected_location = affectedLocation;
	}

}